package com.hwrj.cloud.admin.dao;

import com.hwrj.cloud.admin.model.UmsMemberOriginProduct;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @className:
 * @description:
 * @author: lym
 * @date: 2020/9/6 11:27
 */
public interface UmsMemberOriginProductDao {

    int batchSave(@Param("list") List<UmsMemberOriginProduct> list);

    /**
     * 查询生产地产出物
     * lym
     * @param originId
     * @return
     */
    List<UmsMemberOriginProduct> selectByOriginId(@Param("originId") Long originId);

    /**
     * 删除不存在产物
     * lym
     * @param ids
     * @return
     */
    int delNotEqIds(@Param("ids") List<Long> ids,@Param("originId") Long originId);

    int batchUpdate(@Param("list") List<UmsMemberOriginProduct> list);
}
